call_usermodehelper_setup
Prev | Module Loading | Next

## Name

call_usermodehelper_setup — prepare to call a usermode helper

## Synopsis

`struct subprocess_info * call_usermodehelper_setup (` | char * | path,
| char ** | argv,
| char ** | envp`)`;

## Arguments

`path`

  path to usermode executable

`argv`

  arg vector for process

`envp`

  environment for process

## Description

Returns either `NULL` on allocation failure, or a subprocess_info structure. This should be passed to call_usermodehelper_exec to exec the process and free the structure.

Prev | Up | Next
request_module | Home | call_usermodehelper_setkeys